%global pkgname typepad

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-typepad
Version:        2.0
Release:        1%{?dist}
Summary:        Connectivity to the TypePad API through remote objects

Group:          Development/Languages
License:        BSD
URL:            http://sixapart.github.com/python-typepad-api/
Source0:        http://pypi.python.org/packages/source/t/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools-devel
Requires:       python-batchhttp python-httplib2 python-oauth python-remoteobjects python-simplejson

%description
The typepad package contains RemoteObject implementations for TypePad's
content objects and an OAuth client for making authenticated requests to
the API.

%prep
%setup -q -n %{pkgname}-%{version}


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*


%changelog
* Wed Aug 01 2012 Luis Bazan <lbazan@fedoraproject.org> - 2.0-1
- New Upstream Version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 02 2010 Sebastian Dziallas <sebastian@when.com> - 1.1.2-1
- new upstream release

* Tue Jan 26 2010 Sebastian Dziallas <sebastian@when.com> - 1.1-1
- new upstream release

* Tue Oct 06 2009 Sebastian Dziallas <sebastian@when.com> - 1.0-1
- initial packaging
